# Auth OAuth ROPC

This module add the possibility to login with OAuth Resource Owner Password Credentials Grant

https://datatracker.ietf.org/doc/html/rfc6749#section-4.3

In most scenarios, more secure alternatives are available and recommended. This flow requires a very high degree of trust in the application, and carries risks that are not present in other flows. You should only use this flow when other more secure flows aren’t viable.

This module is useful for the Odoo mobile application, which only supports user/password authentication.

Table of contents

- Configuration
- Usage
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

# Configuration

The configuration of this module is based with Microsoft Azure ad OAuth provider

https://learn.microsoft.com/en-us/azure/active-directory/develop/v2-oauth-ropc

To configure this module, you need to:

1. Go to Settings/Users/OAuth ROPC providers and create a new one

# Usage

To use this module, you need to:

1. Go on the login screen
2. Fill your Odoo user name (must be the same in OAuth provider)
3. Fill your OAuth password

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- ACSONE SA/NV

## Contributors

Adrien Peiffer <adrien.peiffer@acsone.eu>

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

This module is part of the OCA/server-auth project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.